LiteralFactorization.cc File Reference
`#include <polybori/groebner/LiteralFactorization.h>`
`#include <polybori/groebner/LiteralFactorizationIterator.h>`
`#include <polybori/cache/CCacheManagement.h>`
`#include <iostream>`
`#include <exception>`

## Namespaces

| polybori
| polybori::groebner

## Macros

#define | ELEMENTAR_FACTORIZATION 1

## Functions

std::vector< Polynomial > | polybori::groebner::easy_linear_factors (const Polynomial &p)
deg_type | polybori::groebner::common_literal_factors_deg (const LiteralFactorization &a, const LiteralFactorization &b)
bool | polybori::groebner::maps_to_one (const std::pair< const polybori::groebner::idx_type, int > v)
bool | polybori::groebner::maps_to_zero (const std::pair< const polybori::groebner::idx_type, int > v)
Polynomial | polybori::groebner::multiply_with_literal_factors (const LiteralFactorization &lf, Polynomial p)

## Macro Definition Documentation

#define ELEMENTAR_FACTORIZATION 1